//
//  MSStepper.h
//  Sketch
//
//  Created by Pieter Omvlee on 13-10-09.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Chocolat/Chocolat.h>
#import "DrawCore.h"

#import "NSImage+BundleLoading.h"

enum {
  MSStepperHighlightNone = 0,
  MSStepperHighlightUp   = 1,
  MSStepperHighlightDown = 2
} MSStepperLightlight;

@interface MSStepper : NSStepper
{
  NSInteger stepperHighlighted;
}
- (NSInteger)stepperHighlighted;
- (NSInteger)stepperHighlightForEvent:(NSEvent *)anEvent;
@end

@interface MSStepperCell : NSStepperCell
{
  NSInteger previousInt;
  NSImage *previousImage;
  NSInteger previousStepperHighlight;
}
@property NSInteger previousInt;
@property NSInteger previousStepperHighlight;
- (MSStepper *)control;
@end